.col {
    width: 100%;
    float: none;
    margin: 0;
    padding-left: 0;
}

@media(min-width: 250px) {
    .col {
        width: 30%;
        float: left;
        margin: 10px;
        padding-left: 20px;
    }
    p {
        color: yellow;
    }
}

@media(min-width: 400px) {
    .col {
        width: 15%;
        float: left;
        margin: 10px;
        padding-left: 20px;
    }
    .mi_clase,  #mi_id {
        color:red;
    }

    p {
        color: green;
    }
}

@media(min-width: 600px) {
    .col {
        width: 5%;
        float: left;
        margin: 10px;
        padding-left: 20px;
    }
}